Custom Default PHP.ini For New Accounts by Package

martin MHC

Well-Known Member
Sep 14, 2016
292
69
78
UK
cPanel Access Level
Root Administrator
What type of PHP installation are you running? (e.g FPM, suphp, CGI, etc.) You can view this on the "Home / Software / MultiPHP Manager" WHM screen.
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
12,499
1,971
363
cPanel Access Level
Root Administrator
Because of the way the MultiPHP tools allow users to change their PHP version, there is nothing in the package itself that would assign a specific version. There just isn't any relation between packages and PHP versions on a cPanel machine.

This would make an excellent feature request if you'd like to submit one using the link in my signature, and I'll bring it up with the developers in the next meeting.
 

ServerHealers

Well-Known Member
Sep 21, 2015
62
30
68
India
cPanel Access Level
Root Administrator
Hello Tiago Rossi,

As cPRex described, there is no connection with PHP and Feature Manager in cPanel. However, if you are looking to restrict some PHP parameters per package based, this is something we could attain using a bash script based on cPanel APIs (to run over Cron daily/weekly) so the cPanel accounts won't be able to use PHP settings more than we allot (For eg: PHP Memory Limit).

If you are looking for assistance with this script work, please feel free to contact us by going to the link in my signature.